Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class SchemaGrammar

    java.lang.Object
      weblogic.apache.xerces.impl.xs.SchemaGrammar

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem, Grammar, XSGrammar

Direct Known Subclasses:
  SchemaGrammar.BuiltinSchemaGrammar

Deprecated. please use JDK supplied XML parsers and transformers

    public class SchemaGrammar

extends Object
implements Grammar, XSGrammar, weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem

This class is to hold all schema component declaration that are declared within one namespace. The Grammar class this class extends contains what little commonality there is between XML Schema and DTD grammars. It's useful to distinguish grammar objects from other kinds of object when they exist in pools or caches.

Nested Class Summary
`static class` | `SchemaGrammar.BuiltinSchemaGrammar` Deprecated.

Field Summary
`static XSSimpleType` | `fAnySimpleType` Deprecated.
`static XSComplexTypeDecl` | `fAnyType` Deprecated.
`static SchemaGrammar.BuiltinSchemaGrammar` | `SG_SchemaNS` Deprecated.
`static SchemaGrammar.BuiltinSchemaGrammar` | `SG_XSI` Deprecated.

Constructor Summary
`SchemaGrammar(String targetNamespace, XSDDescription grammarDesc)` Deprecated. Default constructor.

Method Summary
`void` | `addComplexTypeDecl(XSComplexTypeDecl decl, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)` Deprecated. add one complex type decl: for later constraint checking
`void` | `addDocument(Object document, String location)` Deprecated.
`void` | `addGlobalAttributeDecl(XSAttributeDecl decl)` Deprecated. register one global attribute
`void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)` Deprecated. register one global attribute group
`void` | `addGlobalElementDecl(XSElementDecl decl)` Deprecated. register one global element
`void` | `addGlobalGroupDecl(XSGroupDecl decl)` Deprecated. register one global group
`void` | `addGlobalNotationDecl(XSNotationDecl decl)` Deprecated. register one global notation
`void` | `addGlobalTypeDecl(XSTypeDecl decl)` Deprecated. register one global type
`void` | `addIDConstraintDecl(XSElementDecl elmDecl, weblogic.apache.xerces.impl.xs.identity.IdentityConstraint decl)` Deprecated. register one identity constraint
`void` | `addRedefinedGroupDecl(XSGroupDecl derived, XSGroupDecl base, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)` Deprecated. add a group redefined by restriction: for later constraint checking
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `getAttributeDecl(String name)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition` | `getAttributeGroup(String name)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSNamedMap` | `getComponents(short objectType)` Deprecated. Returns a list of top-level components, i.e.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getDocumentLocations()` Deprecated. [document location]
`weblogic.apache.xerces.impl.xs.psvi.ObjectList` | `getDocuments()` Deprecated. [document]
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDecl(String name)` Deprecated. Convenience method.
`XSAttributeDecl` | `getGlobalAttributeDecl(String declName)` Deprecated. get one global attribute
`XSAttributeGroupDecl` | `getGlobalAttributeGroupDecl(String declName)` Deprecated. get one global attribute group
`XSElementDecl` | `getGlobalElementDecl(String declName)` Deprecated. get one global element
`XSGroupDecl` | `getGlobalGroupDecl(String declName)` Deprecated. get one global group
`XSNotationDecl` | `getGlobalNotationDecl(String declName)` Deprecated. get one global notation
`XSTypeDecl` | `getGlobalTypeDecl(String declName)` Deprecated. get one global type
`XMLGrammarDescription` | `getGrammarDescription()` Deprecated.
`weblogic.apache.xerces.impl.xs.identity.IdentityConstraint` | `getIDConstraintDecl(String declName)` Deprecated. get one identity constraint
`Vector` | `getImportedGrammars()` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition` | `getModelGroupDefinition(String name)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotationDecl(String name)` Deprecated. Convenience method.
`String` | `getSchemaNamespace()` Deprecated. [schema namespace]
`String` | `getTargetNamespace()` Deprecated. Returns this grammar's target namespace.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition(String name)` Deprecated. Convenience method.
`boolean` | `isNamespaceAware()` Deprecated.
`void` | `setImportedGrammars(Vector importedGrammars)` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSModel` | `toXSModel()` Deprecated. Return an `XSModel` that represents components in this schema grammar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAnyType

    public static final XSComplexTypeDecl fAnyType

  Deprecated.

### SG_SchemaNS

    public static final SchemaGrammar.BuiltinSchemaGrammar SG_SchemaNS

  Deprecated.

### fAnySimpleType

    public static final XSSimpleType fAnySimpleType

  Deprecated.

### SG_XSI

    public static final SchemaGrammar.BuiltinSchemaGrammar SG_XSI

  Deprecated.

Constructor Detail

### SchemaGrammar

    public SchemaGrammar(String targetNamespace,
                         XSDDescription grammarDesc)

  Deprecated.
  Default constructor.

  Parameters:
    `targetNamespace` -
    `grammarDesc` - the XMLGrammarDescription corresponding to this objec at the least a systemId should always be known.

Method Detail

### getGrammarDescription

    public XMLGrammarDescription getGrammarDescription()

  Deprecated.
  Specified by:
    `getGrammarDescription` in interface `Grammar`

### isNamespaceAware

    public boolean isNamespaceAware()

  Deprecated.

### setImportedGrammars

    public void setImportedGrammars(Vector importedGrammars)

  Deprecated.

### getImportedGrammars

    public Vector getImportedGrammars()

  Deprecated.

### getTargetNamespace

    public final String getTargetNamespace()

  Deprecated.
  Returns this grammar's target namespace.

### addGlobalAttributeDecl

    public void addGlobalAttributeDecl(XSAttributeDecl decl)

  Deprecated.
  register one global attribute

### addGlobalAttributeGroupDecl

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)

  Deprecated.
  register one global attribute group

### addGlobalElementDecl

    public void addGlobalElementDecl(XSElementDecl decl)

  Deprecated.
  register one global element

### addGlobalGroupDecl

    public void addGlobalGroupDecl(XSGroupDecl decl)

  Deprecated.
  register one global group

### addGlobalNotationDecl

    public void addGlobalNotationDecl(XSNotationDecl decl)

  Deprecated.
  register one global notation

### addGlobalTypeDecl

    public void addGlobalTypeDecl(XSTypeDecl decl)

  Deprecated.
  register one global type

### addIDConstraintDecl

    public final void addIDConstraintDecl(XSElementDecl elmDecl,
                                          weblogic.apache.xerces.impl.xs.identity.IdentityConstraint decl)

  Deprecated.
  register one identity constraint

### getGlobalAttributeDecl

    public final XSAttributeDecl getGlobalAttributeDecl(String declName)

  Deprecated.
  get one global attribute

### getGlobalAttributeGroupDecl

    public final XSAttributeGroupDecl getGlobalAttributeGroupDecl(String declName)

  Deprecated.
  get one global attribute group

### getGlobalElementDecl

    public final XSElementDecl getGlobalElementDecl(String declName)

  Deprecated.
  get one global element

### getGlobalGroupDecl

    public final XSGroupDecl getGlobalGroupDecl(String declName)

  Deprecated.
  get one global group

### getGlobalNotationDecl

    public final XSNotationDecl getGlobalNotationDecl(String declName)

  Deprecated.
  get one global notation

### getGlobalTypeDecl

    public final XSTypeDecl getGlobalTypeDecl(String declName)

  Deprecated.
  get one global type

### getIDConstraintDecl

    public final weblogic.apache.xerces.impl.xs.identity.IdentityConstraint getIDConstraintDecl(String declName)

  Deprecated.
  get one identity constraint

### addComplexTypeDecl

    public void addComplexTypeDecl(XSComplexTypeDecl decl,
                                   weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Deprecated.
  add one complex type decl: for later constraint checking

### addRedefinedGroupDecl

    public void addRedefinedGroupDecl(XSGroupDecl derived,
                                      XSGroupDecl base,
                                      weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Deprecated.
  add a group redefined by restriction: for later constraint checking

### addDocument

    public void addDocument(Object document,
                            String location)

  Deprecated.

### getSchemaNamespace

    public String getSchemaNamespace()

  Deprecated.
  [schema namespace]

  Specified by:
    `getSchemaNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Returns:
    The target namespace of this item.
  See Also:
    [schema namespace]

### getComponents

    public weblogic.apache.xerces.impl.xs.psvi.XSNamedMap getComponents(short objectType)

  Deprecated.
  Returns a list of top-level components, i.e. element declarations, attribute declarations, etc.

  Note that `XSTypeDefinition#SIMPLE_TYPE` and `XSTypeDefinition#COMPLEX_TYPE` can also be used as the `objectType` to retrieve only complex types or simple types, instead of all types.

  Specified by:
    `getComponents` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `objectType` - The type of the declaration, i.e. ELEMENT_DECLARATION, ATTRIBUTE_DECLARATION, etc.
  Returns:
    A list of top-level definition of the specified type in `objectType` or `null`.

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition(String name)

  Deprecated.
  Convenience method. Returns a top-level simple or complex type definition.

  Specified by:
    `getTypeDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the definition.
  Returns:
    An `XSTypeDefinition` or null if such definition does not exist.

### getAttributeDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttributeDecl(String name)

  Deprecated.
  Convenience method. Returns a top-level attribute declaration.

  Specified by:
    `getAttributeDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level attribute declaration or null if such declaration does not exist.

### getElementDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDecl(String name)

  Deprecated.
  Convenience method. Returns a top-level element declaration.

  Specified by:
    `getElementDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level element declaration or null if such declaration does not exist.

### getAttributeGroup

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition getAttributeGroup(String name)

  Deprecated.
  Convenience method. Returns a top-level attribute group definition.

  Specified by:
    `getAttributeGroup` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level attribute group definition or null if such definition does not exist.

### getModelGroupDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition getModelGroupDefinition(String name)

  Deprecated.
  Convenience method. Returns a top-level model group definition.

  Specified by:
    `getModelGroupDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level model group definition definition or null if such definition does not exist.

### getNotationDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotationDecl(String name)

  Deprecated.
  Convenience method. Returns a top-level notation declaration.

  Specified by:
    `getNotationDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level notation declaration or null if such declaration does not exist.

### getDocuments

    public weblogic.apache.xerces.impl.xs.psvi.ObjectList getDocuments()

  Deprecated.
  [document]

  Specified by:
    `getDocuments` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Returns:
    a list of document information item
  See Also:
    [document]

### getDocumentLocations

    public weblogic.apache.xerces.impl.xs.psvi.StringList getDocumentLocations()

  Deprecated.
  [document location]

  Specified by:
    `getDocumentLocations` in interface `weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem`
  Returns:
    a list of document information item
  See Also:
    [document location]

### toXSModel

    public weblogic.apache.xerces.impl.xs.psvi.XSModel toXSModel()

  Deprecated.
  Return an `XSModel` that represents components in this schema grammar.

  Specified by:
    `toXSModel` in interface `XSGrammar`
  Returns:
    an `XSModel` representing this schema grammar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD